Bug 245704 - Packaging bugs
Summary: Packaging bugs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: heartbeat   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-26 07:31 UTC by Michael Schwendt
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 03:27:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2007-06-26 07:31:58 UTC
Multiple issues. heartbeat does:

  Requires:         stonith = %{version}-%{release}
  Requires:         pils = %{version}-%{release}
  Requires:         ldirectord = %{version}-%{release}

And stonith does:

  %package -n stonith
  Requires:       pils = %{version}-%{release}

But a dependency on libpils.so.1 and libstonith.so.1 is automatic!
And:

pils provides libpils.so.1
stonith provides libpils.so.1
  required by: heartbeat - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: pils - 2.0.8-1.fc7.i386

Further, multiple shared libs are duplicated in heartbeat and stonith:

heartbeat provides libcib.so.1
stonith provides libcib.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides librecoverymgr.so.1
stonith provides librecoverymgr.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libhbclient.so.1
stonith provides libhbclient.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libtransitioner.so.1
stonith provides libtransitioner.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libplumbgpl.so.1
stonith provides libplumbgpl.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libccmclient.so.1
stonith provides libccmclient.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libhbmgmtclient.so.0
stonith provides libhbmgmtclient.so.0
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libcrmcommon.so.1
stonith provides libcrmcommon.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libpengine.so.3
stonith provides libpengine.so.3
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libplumb.so.1
stonith provides libplumb.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libhbmgmtcommon.so.0
stonith provides libhbmgmtcommon.so.0
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libhbmgmttls.so.0
stonith provides libhbmgmttls.so.0
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libapphb.so.0
stonith provides libapphb.so.0
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libstonithd.so.0
stonith provides libstonithd.so.0
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides liblrm.so.0
stonith provides liblrm.so.0
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libhbmgmt.so.0
stonith provides libhbmgmt.so.0
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

heartbeat provides libclm.so.1
stonith provides libclm.so.1
  required by: heartbeat-devel - 2.0.8-1.fc7.i386
  required by: stonith - 2.0.8-1.fc7.i386
  required by: heartbeat - 2.0.8-1.fc7.i386

Comment 1 Kevin Fenzi 2007-06-26 23:21:46 UTC
Thanks for the report. 

I hope to get to a bunch of cleanups on this package in the next few days. 
(perhaps even tonight). 

Comment 2 Kevin Fenzi 2007-06-28 03:27:55 UTC
These issues should be solved in the heartbeat 2.0.8-3.fc8 package I just built. 
Can you take a look and see if that solves them all?

Feel free to reopen this or file another bug if you spot more. 
I cleaned up a lot, but the package isn't 100% yet I fear. ;( 


Note You need to log in before you can comment on or make changes to this bug.